> ## Documentation Index
> Fetch the complete documentation index at: https://developer.eka.care/llms.txt
> Use this file to discover all available pages before exploring further.

# Check whether an IPD case number is in use

> Returns `in_use: true` when another admission in your workspace already uses the IPID. Pass `exclude_admission_id` to ignore the admission being edited.



## OpenAPI

````yaml api-reference/doc-tool/ipd-api/ipd-sdk-openapi.json get /ipd/v1/sdk/admissions/ipid-in-use
openapi: 3.1.0
info:
  title: Eka IPD Admission API
  version: '1.0'
servers:
  - description: Production
    url: https://api.eka.care
  - description: Stage/Sandbox
    url: https://api.dev.eka.care
security: []
paths:
  /ipd/v1/sdk/admissions/ipid-in-use:
    get:
      tags:
        - IPD API
      summary: Check whether an IPD case number is in use
      description: >-
        Returns `in_use: true` when another admission in your workspace already
        uses the IPID. Pass `exclude_admission_id` to ignore the admission being
        edited.
      operationId: IpdSdkCheckWhetherAnIpdCaseNumberIsInUse
      parameters:
        - name: auth
          in: header
          required: true
          schema:
            type: string
          example: >-
            eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJiX2lkIjoiMTIzNDU2IiwiY2xpZW50X2lkIjoiNzg5MCIsImV4dHJhX2ZpZWxkIjoiZXh0cmFfZmllbGRfZGF0YSJ9.q9KzBI6f4l3OyM_EkB5Quq0l9EEMFh5JS-fx3F_PHUM
        - schema:
            minLength: 1
            type: string
          in: query
          name: ipid
          required: true
          description: IPD case number to check.
        - schema:
            minLength: 1
            type: string
          in: query
          name: exclude_admission_id
          required: false
          description: Ignore this admission (for example the one being edited).
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                required:
                  - in_use
                properties:
                  in_use:
                    description: '`true` when another admission already uses the IPID.'
                    type: boolean
        '400':
          description: Bad Request — the request failed validation or was rejected.
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                properties:
                  message:
                    type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                properties:
                  message:
                    type: string

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.